This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 588619 - on suspend/resume net.ipv6.conf.wlan0.accept_ra is reset to 0
on suspend/resume net.ipv6.conf.wlan0.accept_ra is reset to 0
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 538499
  Show dependency treegraph
 
Reported: 2010-05-04 02:08 EDT by Pekka Savola
Modified: 2010-06-10 15:08 EDT (History)
1 user (show)

See Also:
Fixed In Version: NetworkManager-0.8.1-0.1.git20100510.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-10 15:08:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Pekka Savola 2010-05-04 02:08:07 EDT
Description of problem:
When I do a hibernate/resume, net.ipv6.conf.wlan0.accept_ra is changed from 1 to 0.

Version-Release number of selected component (if applicable):
NetworkManager-0.8.0-10.git20100502.fc12
kernel-2.6.32.12-114.fc12.i686

How reproducible:
Connect to a WLAN with IPv6 settings set to "Ignore".
Observe that accept_ra=1 and get IPv6 address.
Hibernate.
Immediately resume from hibernate.
Observe:
 - Networking is disabled (there are open bugs on this).
 - accept_ra setting is (almost always) 0.
 - Enabling networking does not reset accept_ra setting.

Not sure if it's relevant but I have NETWORKING_IPV6=yes in /etc/sysconfig/network.

Steps to Reproduce:
1. See above.
Comment 1 Dan Williams 2010-05-05 01:50:19 EDT
Is the connection that gets reactivated on resume (when you re-enable networking) IPv6 capable?  You won't get accept_ra set to 1 unless the connection is IPv6 capable and you've used the "Automatic" mode for it.  Check the connection editor for the connection that's getting activated on resume and let me know.
Comment 2 Pekka Savola 2010-05-05 02:06:22 EDT
The used connection is the same before and after suspend. It is set to Ignore. 

I took your earlier comments to mean that in that case it should not try to adjust IPv6 settings and SLAAC should work fine.

Note that after resume, accept_ra is zero even before I re-enable networking.

I might agree that with "Ignore" NM should not change accept_ra 0->1, but the real issue here is why suspend/resume resets accept_ra 1->0.

Not sure if this is a NM issue or some other component.
Comment 3 Dan Williams 2010-05-05 16:21:46 EDT
NM was not resetting accept_ra to the saved/initial value (retrieved from /proc when NM starts up) when it started 'ignored' connections.  I've now fixed this upstream in commit 391fb0f0f2d569e3f8dd23e6b99fdf7743760d09.

Note that when the device is deactivated, accept_ra will still be 0 to ensure that RAs are only accepted when they are supposed to be.
Comment 4 Fedora Update System 2010-05-10 03:24:26 EDT
NetworkManager-0.8.0-13.git20100509.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/NetworkManager-0.8.0-13.git20100509.fc13
Comment 5 Fedora Update System 2010-05-10 03:24:50 EDT
NetworkManager-0.8.0-13.git20100509.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/NetworkManager-0.8.0-13.git20100509.fc12
Comment 6 Fedora Update System 2010-05-10 12:59:03 EDT
NetworkManager-0.8.0-13.git20100509.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update NetworkManager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/NetworkManager-0.8.0-13.git20100509.fc12
Comment 7 Fedora Update System 2010-05-10 17:51:19 EDT
NetworkManager-0.8.0-13.git20100509.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update NetworkManager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/NetworkManager-0.8.0-13.git20100509.fc13
Comment 8 Fedora Update System 2010-05-11 02:55:13 EDT
NetworkManager-0.8.1-0.1.git20100510.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/NetworkManager-0.8.1-0.1.git20100510.fc12
Comment 9 Fedora Update System 2010-05-11 15:42:14 EDT
NetworkManager-0.8.1-0.1.git20100510.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update NetworkManager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/NetworkManager-0.8.1-0.1.git20100510.fc12
Comment 10 Fedora Update System 2010-05-12 08:22:03 EDT
NetworkManager-0.8.1-0.1.git20100510.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update NetworkManager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/NetworkManager-0.8.1-0.1.git20100510.fc13
Comment 11 Fedora Update System 2010-06-10 15:06:54 EDT
NetworkManager-0.8.1-0.1.git20100510.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.